import {ipcMain, shell} from 'electron';
import path from 'path';
import os from 'os';

ipcMain.handle('oepn-dir', async (_, videoDirArray: Array<string>): Promise<void> => {
  let dir = path.join(...videoDirArray);
  if(os.platform() !== 'win32'){
    dir = '/' + dir + '/'
  }else{
    dir += '\\'
  }
  shell.openPath(dir)
  return new Promise((resolve)=>resolve());
});