import * as React from 'react';

interface ChooseFileNamesProps{
  filePaths: Array<string>;
}

export default class ChoseFilenames extends React.Component<ChooseFileNamesProps, {}> {
  chooseFile(): string{
    if(this.props.filePaths.length > 0){
      return this.props.filePaths.map((s) => s.split(/[/\\]/g).pop() ).join(', ');
    } else {
      return ''
    }
  }

  render(): JSX.Element {
    return (
      <input className="file-name" type="text" readOnly value={this.chooseFile()} />
    );
  }
}
