import * as React from 'react';
import FileChooser from '../molecules/file-choose-column';
import Converter from '../molecules/convert-column';
import CpuLimitSelector from '../atoms/cpu-limit-selector';
import { connect } from "react-redux";


class Main extends React.Component<{},{}> {
  constructor(props: Readonly<{}>) {
    super(props);
    this.state = {};
  }

  render(): JSX.Element {
    return (
      <div className="container">
        <div className="row main">
          <div className="col s6">
            <FileChooser />
          </div>
          <div className="col s6">
            <Converter />
          </div>
        </div>
        <div className="row cpu-usage">
          <div className="col s12">
            <CpuLimitSelector />
          </div>
        </div>
      </div>
    );
  }
}

export default connect(
  null,
  null, 
)(Main);
