import Index from './pages/index'
import * as React from 'react'
import { render } from 'react-dom'
import { Provider } from 'react-redux'
import store from './redux/store'
import i18n from './i18n';

render(
(
  <Provider store={store}>
    <Index />
  </Provider>
), document.querySelector('#Container'))

document.addEventListener('DOMContentLoaded', function() {
  const elems = document.querySelectorAll('select');
  M.FormSelect.init(elems);
});

document.title = i18n.t('title');
