interface Conversion{
  currentType: string;
  selectedFilePaths: string[];
  currentFileIndex: number;
  convertDestinationPath: string;
  progress: number;
  cpuUsageLimitType: string;
}

type ConversionState = {
  conversion: Conversion;
}

type ConversionAction = {
  type: string;
  conversion: Conversion;
};

type DispatchType = (args: ConversionAction) => ConversionAction;

type RootState = {conversions: ConversionState};

type ChoseFile = {
  canceled: boolean;
  filePaths: Array<string>;
};
