import * as React from 'react';

type ExternalLinkProps = {
  href: string;
  className: string;
  children?: React.ReactNode;
};

class ExternalLink extends React.Component<ExternalLinkProps, {}> {
  constructor(props: Readonly<ExternalLinkProps>){
    super(props);
  }

  render(): JSX.Element {
    return (
      <React.Fragment>
        <span className={this.props.className} onClick={(): void=>Electron.shell.openExternal(this.props.href) && undefined}>{this.props.children}</span>
      </React.Fragment>
    )
  }
}

export default ExternalLink;
