export default function filterFileTypes(filePaths: string[]): string[]{
  const ACCEPTABLE_FILE_TYPES = ['.mp4', '.mov', '.gif', '.png', '.jpg', '.jpeg', '.m4v'];
  return filePaths.filter((f)=>ACCEPTABLE_FILE_TYPES.some(((t)=>f.endsWith(t))))
}
